package com.ruoyi.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.base.mapper.RobotOpsFaqSimilarMapper;
import com.ruoyi.base.domain.RobotOpsFaqSimilar;
import com.ruoyi.base.service.IRobotOpsFaqSimilarService;

/**
 * 相似问答表Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-05-07
 */
@Service
public class RobotOpsFaqSimilarServiceImpl implements IRobotOpsFaqSimilarService 
{
    @Autowired
    private RobotOpsFaqSimilarMapper robotOpsFaqSimilarMapper;

    /**
     * 查询相似问答表
     * 
     * @param id 相似问答表主键
     * @return 相似问答表
     */
    @Override
    public RobotOpsFaqSimilar selectRobotOpsFaqSimilarById(Long id)
    {
        return robotOpsFaqSimilarMapper.selectRobotOpsFaqSimilarById(id);
    }

    /**
     * 查询相似问答表列表
     * 
     * @param robotOpsFaqSimilar 相似问答表
     * @return 相似问答表
     */
    @Override
    public List<RobotOpsFaqSimilar> selectRobotOpsFaqSimilarList(RobotOpsFaqSimilar robotOpsFaqSimilar)
    {
        return robotOpsFaqSimilarMapper.selectRobotOpsFaqSimilarList(robotOpsFaqSimilar);
    }

    /**
     * 新增相似问答表
     * 
     * @param robotOpsFaqSimilar 相似问答表
     * @return 结果
     */
    @Override
    public int insertRobotOpsFaqSimilar(RobotOpsFaqSimilar robotOpsFaqSimilar)
    {
        return robotOpsFaqSimilarMapper.insertRobotOpsFaqSimilar(robotOpsFaqSimilar);
    }

    /**
     * 修改相似问答表
     * 
     * @param robotOpsFaqSimilar 相似问答表
     * @return 结果
     */
    @Override
    public int updateRobotOpsFaqSimilar(RobotOpsFaqSimilar robotOpsFaqSimilar)
    {
        return robotOpsFaqSimilarMapper.updateRobotOpsFaqSimilar(robotOpsFaqSimilar);
    }

    /**
     * 批量删除相似问答表
     * 
     * @param ids 需要删除的相似问答表主键
     * @return 结果
     */
    @Override
    public int deleteRobotOpsFaqSimilarByIds(Long[] ids)
    {
        return robotOpsFaqSimilarMapper.deleteRobotOpsFaqSimilarByIds(ids);
    }

    /**
     * 删除相似问答表信息
     * 
     * @param id 相似问答表主键
     * @return 结果
     */
    @Override
    public int deleteRobotOpsFaqSimilarById(Long id)
    {
        return robotOpsFaqSimilarMapper.deleteRobotOpsFaqSimilarById(id);
    }
}
